"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var root_detection_common_1 = require("./root-detection.common");
var file_system_1 = require("tns-core-modules/file-system");
var knownLocations = [
    "/Applications/Cydia.app",
    "/Applications/blackra1n.app",
    "/Applications/FakeCarrier.app",
    "/Applications/Icy.app",
    "/Applications/IntelliScreen.app",
    "/Applications/MxTube.app",
    "/Applications/RockApp.app",
    "/Applications/SBSettings.app",
    "/Applications/WinterBoard.app",
    "/Library/MobileSubstrate/DynamicLibraries/LiveClock.plist",
    "/Library/MobileSubstrate/DynamicLibraries/Veency.plist",
    "/private/var/lib/apt",
    "/private/var/lib/cydia",
    "/private/var/mobile/Library/SBSettings/Themes",
    "/private/var/stash",
    "/private/var/tmp/cydia.log",
    "/System/Library/LaunchDaemons/com.ikey.bbot.plist",
    "/System/Library/LaunchDaemons/com.saurik.Cydia.Startup.plist",
    "/usr/bin/sshd",
    "/usr/libexec/sftp-server",
    "/usr/sbin/sshd"
];
var RootDetection = (function (_super) {
    __extends(RootDetection, _super);
    function RootDetection() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RootDetection.isDeviceRooted = function () {
        var rooted = false;
        knownLocations.forEach(function (location) {
            if (file_system_1.File.exists(location)) {
                rooted = true;
            }
        });
        return rooted;
    };
    return RootDetection;
}(root_detection_common_1.Common));
exports.RootDetection = RootDetection;
//# sourceMappingURL=root-detection.ios.js.map